Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:        bank code check library
Name:      	ktoblzcheck
Version:        1.12
Release:   	1
License: 	GNU/GPL
URL:	  	http://www.libchipcard.de/
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  perl
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:  python-devel


%description
A library to check bank account numbers and bank codes (BLZ) of German Banks. It is based on the specifications of the "Deutsche Bundesbank".

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix --mandir=%_mandir --sysconfdir=%_sysconfdir
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_datadir/ktoblzcheck
%_libdir/*.so*
%_libdir/python2.5
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/pkgconfig
%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jan 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.12-1
- Initial Release
